Subject: bug#49774: 27.1; if diff commands finds no differences then do not pop up a window

From: Dmitry Gutov <[email-masked]>
Date: Fri, 30 Jul 2021 04:18:21 +0300

On 29.07.2021 19:59, ndame via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> When diff exit code is zero and there are no differences then a window 
> pops up showing output like "Diff finished (no differences)" and the 
> user has to dismiss this useless window.
> 
> If there are no differences then emacs should just show this in a 
> message instead of popping up a window with not useful content.

That would require it to wait until Diff has finished running before 
showing the window. Currently 'M-x diff' works asynchronously, which has 
its benefits.